package com.hfkj.sysenum.order;

import lombok.Getter;

@Getter
public enum OrderLogisticsStatusEnum {

    statusDELIVERING("派件中" , "DELIVERING"),

    statusTRANSPORT("运输中", "TRANSPORT"),

    statusAGENT_SIGN("已代签收", "AGENT_SIGN"),

    statusSIGN("已签收", "SIGN"),

    statusACCEPT("已揽收", "ACCEPT"),

    statusFAILED("包裹异常", "FAILED"),

    statusWAIT_ACCEPT("待揽收", "WAIT_ACCEPT"),
    ;

    private final String code;

    private final String name;


    OrderLogisticsStatusEnum(String name, String code) {
        this.code = code;
        this.name = name;
    }
}
